services:
  materio_commerce.order_events_subscriber:
    class: Drupal\materio_commerce\EventSubscriber\MaterioCommerceOrderEventsSubscriber
    tags:
      - { name: 'event_subscriber' }

  materio_commerce.route_subscriber:
    class: Drupal\materio_commerce\Routing\AutocompleteRouteSubscriber
    tags:
      - { name: event_subscriber }

  materio_commerce.autocomplete_matcher:
    class: Drupal\materio_commerce\EntityAutocompleteMatcher
    arguments: ['@plugin.manager.entity_reference_selection']